Submit Entitlement Charge
curl --request POST \
--url https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/charge \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"transactionId": "<string>",
"productCode": "<string>",
"amount": 123,
"currency": "<string>",
"originalTransactionId": "<string>",
"taxIncluded": true,
"taxAmount": 123,
"chargeDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/charge"
payload = {
"transactionId": "<string>",
"productCode": "<string>",
"amount": 123,
"currency": "<string>",
"originalTransactionId": "<string>",
"taxIncluded": True,
"taxAmount": 123,
"chargeDate": "2023-11-07T05:31:56Z"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactionId: '<string>',
productCode: '<string>',
amount: 123,
currency: '<string>',
originalTransactionId: '<string>',
taxIncluded: true,
taxAmount: 123,
chargeDate: '2023-11-07T05:31:56Z'
})
};
fetch('https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/charge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/charge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'transactionId' => '<string>',
'productCode' => '<string>',
'amount' => 123,
'currency' => '<string>',
'originalTransactionId' => '<string>',
'taxIncluded' => true,
'taxAmount' => 123,
'chargeDate' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/charge"
payload := strings.NewReader("{\n \"transactionId\": \"<string>\",\n \"productCode\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"originalTransactionId\": \"<string>\",\n \"taxIncluded\": true,\n \"taxAmount\": 123,\n \"chargeDate\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/charge")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"transactionId\": \"<string>\",\n \"productCode\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"originalTransactionId\": \"<string>\",\n \"taxIncluded\": true,\n \"taxAmount\": 123,\n \"chargeDate\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/charge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"transactionId\": \"<string>\",\n \"productCode\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"originalTransactionId\": \"<string>\",\n \"taxIncluded\": true,\n \"taxAmount\": 123,\n \"chargeDate\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"transactionReferenceId": "<string>"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}Submit Entitlement Charge
Submit Entitlement Charge from CSP
POST
/
v1
/
entitlement
/
{id}
/
charge
Submit Entitlement Charge
curl --request POST \
--url https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/charge \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"transactionId": "<string>",
"productCode": "<string>",
"amount": 123,
"currency": "<string>",
"originalTransactionId": "<string>",
"taxIncluded": true,
"taxAmount": 123,
"chargeDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/charge"
payload = {
"transactionId": "<string>",
"productCode": "<string>",
"amount": 123,
"currency": "<string>",
"originalTransactionId": "<string>",
"taxIncluded": True,
"taxAmount": 123,
"chargeDate": "2023-11-07T05:31:56Z"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transactionId: '<string>',
productCode: '<string>',
amount: 123,
currency: '<string>',
originalTransactionId: '<string>',
taxIncluded: true,
taxAmount: 123,
chargeDate: '2023-11-07T05:31:56Z'
})
};
fetch('https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/charge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/charge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'transactionId' => '<string>',
'productCode' => '<string>',
'amount' => 123,
'currency' => '<string>',
'originalTransactionId' => '<string>',
'taxIncluded' => true,
'taxAmount' => 123,
'chargeDate' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/charge"
payload := strings.NewReader("{\n \"transactionId\": \"<string>\",\n \"productCode\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"originalTransactionId\": \"<string>\",\n \"taxIncluded\": true,\n \"taxAmount\": 123,\n \"chargeDate\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/charge")
.header("X-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"transactionId\": \"<string>\",\n \"productCode\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"originalTransactionId\": \"<string>\",\n \"taxIncluded\": true,\n \"taxAmount\": 123,\n \"chargeDate\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/v1/entitlement/{id}/charge")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"transactionId\": \"<string>\",\n \"productCode\": \"<string>\",\n \"amount\": 123,\n \"currency\": \"<string>\",\n \"originalTransactionId\": \"<string>\",\n \"taxIncluded\": true,\n \"taxAmount\": 123,\n \"chargeDate\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"transactionReferenceId": "<string>"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}Authorizations
The authorization key obtained from MarketONE.
Path Parameters
The id parameter is the partner subscription ID entity.
Maximum string length:
36Body
application/json
Charges from CSP for platform managed subscriptions.
The id of the transaction
Maximum string length:
128Product code
Maximum string length:
128The charge amount - Will be negative in case of refunds.
The currency in which the transaction is processed.
Maximum string length:
3The id of the original transaction in case of refunds.
Maximum string length:
128Specifies whether tax is included in the original amount or not.
Amount of tax
The date on which the charge is processed in the billing system.
Response
OK
Response to charges from CSP for platform managed subscriptions.
MarketONE generated ID for the transaction
Was this page helpful?

